Full name: projects.locations.instances.logTypes.parserExtensions.generateParserExtensionAi
Generates a parser extension using AI based on a user prompt and optional raw logs.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/parserExtensions:generateParserExtensionAi
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource name. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "userPrompt": string, "sessionId": string, "agentContextId": string, "rawLogs": [ string ], "requestId": string } |
| Fields | |
|---|---|
userPrompt |
Required. The user prompt to generate the parser extension. |
sessionId |
Optional. The session ID of the generation session. If not specified, a new session will be created. |
agentContextId |
Optional. The agent context ID of the generation session. If not specified, a new context will be created. |
rawLogs[] |
Optional. Raw logs to use for generation. A base64-encoded string. |
requestId |
Optional. A unique ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. The request ID must be a valid UUIDv4. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.